%define rpm_prefix erp5
%define Product ExternalEditor
%define product externaleditor
%define name    %{rpm_prefix}-%{Product}
%define version 0.9.3
%define release %mkrel 1

%define zope_minver     2.7
%define zope_home       %{_prefix}/lib/erp5
%define software_home   %{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Zope External Editor
License:    GPL
Group:      System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{Product}-%{version}-src.tar.bz2
# give a system configuration file
Requires:   %{rpm_prefix}-zope >= %{zope_minver}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Do you like editing zope objects in text areas?

If not, this product is for you. The ExternalEditor is a Zope product and
configurable helper application that allows you to drop into your favorite
editor(s) directly from the ZMI to modify Zope objects. Its one of those 
"have your cake and eat it too" kind of things ;^).


%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__mkdir_p} %{buildroot}/%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}

%{__cp} -a * %{buildroot}%{software_home}/Products/
%{__rm} %{buildroot}%{software_home}/Products/ExternalEditor/zopeedit.py

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
        service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
        service erp5 restart
fi

%files
%defattr(-,root,root)
%doc ExternalEditor/CHANGES.txt ExternalEditor/INSTALL-UNIX.txt
%doc ExternalEditor/LICENSE.txt ExternalEditor/README.txt
%{software_home}/Products/*

%changelog
* Fri Sep 12 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.9.3-1nxd2008.1
- modify zope-ExternalEditor for erp5-zope
